%%%% vyhodnoceniDRIONS.m %%%%
% Soubor slouzi k hromadnemu otestovani a vyhodnoceni databaze DRIONS a ziskani souhrnnych
% vysledku pro tuto databazi v textovem souboru.

% Po spusteni uzivatel zada nazev a umisteni textoveho souboru, do ktereho
% se ulozi vysledky v poradi: JMENO OBRAZU, SENZITIVITA, SPECIFICITA, PRESNOST, PREKRYTI
% Takto budou vyhodnoceny vsechny snimky z databaze

% Pripadne prenastaveni vypocetnich parametru algoritmu je mozne pouze
% upravou hodnot v souboru main.m - ve druhe vetvi - elseif fundus == 2...
% pripadne kdekoli ve funkcich algoritmu, ktere jsou volany funkci main

clear variables
close all
clc

aktual = mfilename('fullpath');
[nam, dir] = uiputfile('*.txt','Zadejte umisteni a nazev textoveho souboru pro ulozeni vysledku', strcat(aktual(1:end-38),'\Data\vystupy\vysledky\VYSLEDKYDRIONS.txt'));
textak = fopen(strcat(dir,nam),'w');

volba = questdlg('Pomoci ktereho typu referencni kontury ma byt vyhodnocovano?', 'Zvolte typ referencni kontury', 'Expert1', 'Expert2', 'Expert1');
if strcmp(volba,'Expert1') == 1
    expert = 'anotExpert1_';
elseif strcmp(volba,'Expert2') == 1
    expert = 'anotExpert2_';
end

slozka = strcat(aktual(1:end-38),'\Data\vstupni data\DRIONS\');

for i=1:110
        
    
    if i < 10
        nazev = strcat('00',num2str(i));
    elseif i < 100
        nazev = strcat('0',num2str(i));
    else
        nazev = num2str(i);
    end
    
    
    cesta = strcat(slozka,'image_' ,nazev,'.jpg');
    cestavrcholy = strcat(slozka, 'OD contour\',expert ,nazev,'.txt');
    
    
    
    vrcholy = load(cestavrcholy);
    [vysledek, vyslednevrcholy, senzitivita, specificita, presnost, prekryti] = main(cesta, 2, 1, vrcholy);
    fprintf(textak, '%s\t%.2f\t%.2f\t%.2f\t%.2f\r\n', strcat('image_',nazev),senzitivita,specificita,presnost,prekryti);

    pom = ['Zpracovano ', num2str(i), ' snimku ze 110'];
    disp(pom);
end

fclose(textak);